# 36.32. key\_column\_usage

The view `key_column_usage` identifies all columns in the current database that are restricted by some unique, primary key, or foreign key constraint. Check constraints are not included in this view. Only those columns are shown that the current user has access to, by way of being the owner or having some privilege.

**Table 36.30. `key_column_usage` Columns**

| Name                            | Data Type         | Description                                                                                                                               |
| ------------------------------- | ----------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| `constraint_catalog`            | `sql_identifier`  | Name of the database that contains the constraint (always the current database)                                                           |
| `constraint_schema`             | `sql_identifier`  | Name of the schema that contains the constraint                                                                                           |
| `constraint_name`               | `sql_identifier`  | Name of the constraint                                                                                                                    |
| `table_catalog`                 | `sql_identifier`  | Name of the database that contains the table that contains the column that is restricted by this constraint (always the current database) |
| `table_schema`                  | `sql_identifier`  | Name of the schema that contains the table that contains the column that is restricted by this constraint                                 |
| `table_name`                    | `sql_identifier`  | Name of the table that contains the column that is restricted by this constraint                                                          |
| `column_name`                   | `sql_identifier`  | Name of the column that is restricted by this constraint                                                                                  |
| `ordinal_position`              | `cardinal_number` | Ordinal position of the column within the constraint key (count starts at 1)                                                              |
| `position_in_unique_constraint` | `cardinal_number` | For a foreign-key constraint, ordinal position of the referenced column within its unique constraint (count starts at 1); otherwise null  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/12/client-interfaces/the-information-schema/key_column_usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
